> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check information about all connected services

> Returns the information regarding the status of all the connected services.

## OpenAPI

````json GET /sys/v1/services
{
  "openapi": "3.0.0",
  "info": {
    "title": "Fortanix DSM REST API",
    "description": "This is a set of REST APIs for accessing the Fortanix Data Security Manager. This includes APIs for managing accounts, and for performing cryptographic and key management operations. \n\n **Note:** \n- All binary input should be base64-encoded. These fields are marked with `format: byte`. \n- For forward compatibility, any API client is expected to ignore any fields in the response not explicitly mentioned in the documentation. We reserve the right to add new fields at any time to provide new functionality without affecting existing API clients.",
    "termsOfService": "https://www.fortanix.com/legal/terms/",
    "contact": {
      "name": "Fortanix Support",
      "url": "https://support.fortanix.com/",
      "email": "support@fortanix.com"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    },
    "version": "0.1.0-20260526"
  },
  "servers": [
    {
      "url": "https://amer.smartkey.io"
    }
  ],
  "paths": {
    "/sys/v1/services": {
      "get": {
        "operationId": "GetAllServices",
        "tags": [
          "Misc"
        ],
        "summary": "Check information about all connected services",
        "description": "Returns the information regarding the status of all the connected services.",
        "responses": {
          "2XX": {
            "description": "Success result",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/GetAllServicesResponse"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "GetAllServicesResponse": {
        "allOf": [
          {
            "type": "object",
            "properties": {
              "items": {
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/Service"
                }
              }
            },
            "required": [
              "items"
            ]
          }
        ]
      },
      "Service": {
        "allOf": [
          {
            "type": "object",
            "properties": {
              "name": {
                "type": "string"
              },
              "hostnames": {
                "type": "object",
                "additionalProperties": {
                  "$ref": "#/components/schemas/HostnameInfo"
                }
              }
            },
            "required": [
              "name",
              "hostnames"
            ]
          }
        ]
      },
      "HostnameInfo": {
        "allOf": [
          {
            "type": "object",
            "properties": {
              "health_status": {
                "$ref": "#/components/schemas/HealthStatus"
              },
              "last_health_check": {
                "$ref": "#/components/schemas/HealthCheckInfo"
              }
            },
            "required": [
              "health_status"
            ]
          }
        ]
      },
      "HealthStatus": {
        "type": "string",
        "enum": [
          "Healthy",
          "Unhealthy"
        ]
      },
      "HealthCheckInfo": {
        "allOf": [
          {
            "type": "object",
            "properties": {
              "initiated_at": {
                "type": "string",
                "pattern": "^\\d{4}\\d{2}\\d{2}T\\d{2}\\d{2}\\d{2}Z$",
                "example": "20170509T070912Z",
                "description": "The time the health check was initiated."
              },
              "finished_at": {
                "type": "string",
                "pattern": "^\\d{4}\\d{2}\\d{2}T\\d{2}\\d{2}\\d{2}Z$",
                "example": "20170509T070912Z",
                "description": "The time the health check finished (regardless of its outcome)."
              },
              "result": {
                "type": "string",
                "description": "The result of the health check."
              }
            },
            "required": [
              "initiated_at",
              "finished_at",
              "result"
            ]
          }
        ]
      }
    }
  }
}
````

